{ ... }:
{
  home-manager.users.jade =
    { pkgs, ... }:
    {
      programs.starship = {
        enable = true;
        enableNushellIntegration = false;
        settings = {
          format = "$all$directory$character";
          character = {
            success_symbol = "[\\$](green)";
            error_symbol = "[X](red)";
          };
          git_branch = {
            format = "\\[[$symbol$branch]($style)\\]";
            symbol = " ";
          };
          git_status = {
            format = "([\\[$all_status$ahead_behind\\]]($style))";
          };
          haskell = {
            format = "\\[[$symbol($version)]($style)\\]";
            symbol = " ";
          };
          cmd_duration = {
            format = "\\[[⏱ $duration]($style)\\]";
          };
          nix_shell = {
            format = "\\[[$symbol$state( \\($name\\))]($style)\\]";
            symbol = " ";
          };
          rust = {
            format = "\\[[$symbol($version)]($style)\\]";
            symbol = " ";
          };
          package = {
            format = "\\[[$symbol$version]($style)\\]";
            symbol = " ";
          };
        };
      };
    };
}
